# 目录

* [第一章 语言基础](ch1-basic/readme.md)
   * [1.1. Go语言创世纪](ch1-basic/ch1-01-genesis.md)
   * [1.2. Hello, World 的革命](ch1-basic/ch1-02-hello-revolution.md)
   * [1.3. 数组、字符串和切片](ch1-basic/ch1-03-array-string-and-slice.md)
   * [1.4. 函数、方法和接口](ch1-basic/ch1-04-func-method-interface.md)
   * [1.5. 面向并发的内存模型](ch1-basic/ch1-05-mem.md)
   * [1.6. 常见的并发模式](ch1-basic/ch1-06-goroutine.md)
   * [1.7. 错误和异常](ch1-basic/ch1-07-error-and-panic.md)
   * [1.8. 配置开发环境](ch1-basic/ch1-08-ide.md)
* [第二章 CGO编程](ch2-cgo/readme.md)
   * [2.1. 快速入门](ch2-cgo/ch2-01-hello-cgo.md)
   * [2.2. CGO基础](ch2-cgo/ch2-02-basic.md)
   * [2.3. 类型转换](ch2-cgo/ch2-03-cgo-types.md)
   * [2.4. 函数调用](ch2-cgo/ch2-04-func.md)
   * [2.5. 内部机制](ch2-cgo/ch2-05-internal.md)
   * [2.6. 实战: 封装qsort](ch2-cgo/ch2-06-qsort.md)
   * [2.7. CGO内存模型](ch2-cgo/ch2-07-memory.md)
   * [2.8. C++类包装](ch2-cgo/ch2-08-class.md)
   * [2.9. 静态库和动态库](ch2-cgo/ch2-09-static-shared-lib.md)
   * [2.10. Go实现Python模块](ch2-cgo/ch2-10-py-module.md)
   * [2.11. 编译和链接参数](ch2-cgo/ch2-11-link.md)
   * [2.12. 补充说明](ch2-cgo/ch2-12-faq.md)
* [第三章 汇编语言](ch3-asm/readme.md)
   * [3.1. 快速入门](ch3-asm/ch3-01-basic.md)
   * [3.2. 计算机结构](ch3-asm/ch3-02-arch.md)
   * [3.3. 常量和变量(Doing)](ch3-asm/ch3-03-const-and-var.md)
   * [3.4. 函数(TODO)](ch3-asm/ch3-04-func.md)
   * [3.5. 控制流(TODO)](ch3-asm/ch3-05-control-flow.md)
   * [3.6. 再论函数(TODO)](ch3-asm/ch3-06-func-again.md)
   * [3.7. FUNCDATA和PCDATA(TODO)](ch3-asm/ch3-07-funcdata-pcdata.md)
   * [3.8. C预处理器(TODO)](ch3-asm/ch3-08-c-preprocessors.md)
   * [3.9. Go核心对象结构(TODO)](ch3-asm/ch3-09-core-type.md)
   * [3.10. runtime内置函数(TODO)](ch3-asm/ch3-10-runtime-func.md)
   * [3.11. 调用C函数(TODO)](ch3-asm/ch3-11-call-c-leaf-func.md)
   * [3.12. AVX/SSE/JIT高级优化(TODO)](ch3-asm/ch3-12-avx-sse-jit.md)
   * [3.13. ARM汇编(TODO)](ch3-asm/ch3-13-arm.md)
   * [3.14. 补充说明(TODO)](ch3-asm/ch3-14-faq.md)
* [第四章 移动平台(TODO)](ch4-mobile/readme.md)
* [第六章 Go和Web](ch6-web/readme.md)
   * [6.1. Web开发简介](ch6-web/ch6-01-introduction.md)
   * [6.2. Router请求路由](ch6-web/ch6-02-router.md)
   * [6.3. Middleware中间件](ch6-web/ch6-03-middleware.md)
   * [6.4. Validator请求校验](ch6-web/ch6-04-validator.md)
   * [6.5. Database和数据库打交道](ch6-web/ch6-05-database.md)
   * [6.8. Layout大型web项目分层](ch6-web/ch6-08-layout-of-web-project.md)
   * [6.12. Load-balance负载均衡](ch6-web/ch6-12-load-balance.md)
* [附录](appendix/readme.md)
   * [附录A: Go语言常见坑](appendix/appendix-a-trap.md)
   * [附录B: 参考资料](appendix/appendix-b-ref.md)
   * [附录C: 作者简介](appendix/appendix-c-author.md)
